Subject: Re: [PATCH v8 05/10] powerpc/perf: IMC pmu cpumask and cpuhotplug support

From: Stewart Smith <[email-masked]>
Date: Fri, 12 May 2017 12:18:29 +1000

Madhavan Srinivasan <[email-masked]> writes:
>>      * in patch 9 should opal_imc_counters_init return something other
>>        than OPAL_SUCCESS in the case on invalid arguments? Maybe
>>        OPAL_PARAMETER? (I think you fix this in a later patch anyway?)
>
> So, init call will return OPAL_PARAMETER for the unsupported
> domains (core and nest are supported). And if the init operation
> fails for any reason, it would return OPAL_HARDWARE. And this is
> documented.

(I'll comment on the skiboot one too), but I think that if the class
exists but init is a no-op, then OPAL_IMC_COUNTERS_INIT should return
OPAL_SUCCESS and just do nothing. This future proofs everything, and the
API is that one *must* call _INIT before start.

-- 
Stewart Smith
OPAL Architect, IBM.